Subject: Re: bug#23352: 24.5; find-grep repeat

From: [email-masked] (Charles A. Roelli)
Date: Thu, 21 Dec 2017 20:46:33 +0100

> Date: Sat, 23 Apr 2016 14:27:35 -0700
> From: Nick Roosevelt <[email-masked]>
> 
> I do a find-grep, and it's great. The buffer is compilation mode and
> everything. But I often want to do the same search again after doing
> some editing. Most of the time, for compilation mode, when I try again,
> it would have the same compile command. Not in find-grep. In other
> modes, a simple 'g' would redo it, but in the find-grep, it does
> something else (It seems to me that it used to try to do a compile with
> `make -k` but now it seems to want to save the buffer.) A stackoverflow
> user suggested filing a bug report
> (http://stackoverflow.com/questions/35808207/how-can-i-easily-repeat-emacs-find-grep),
> so here it is.
> 
> In GNU Emacs 24.5.1 (x86_64-apple-darwin14.4.0)
> of 2015-08-11 on yosemitevm.local
> Configured using:
> `configure --prefix=/usr/local/Cellar/emacs/24.5
> --enable-locallisppath=/usr/local/share/emacs/site-lisp
> --infodir=/usr/local/Cellar/emacs/24.5/share/info/emacs --with-xml2
> --without-dbus --without-gnutls --without-x --without-ns'

`g' (recompile) in the buffer generated by find-grep seems to repeat
the compile command exactly as it was issued, at least in emacs -q.
If you can show a counterexample, please reopen this bug.